
%define prefix  /usr

Summary: 	Qt based advanced text editor
Name: 		qedit
Version: 	2.8.3
Release:	%mkrel 3
License: 	GPL
Group: 		Editors
Source: 	%{name}-%{version}.tar.xz

BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5xml-devel
BuildRequires:	%{_lib}qt5printsupport-devel
BuildRequires:	%{_lib}qt5x11extras-devel
#BuildRequires:	%{_lib}aspell-devel


%description
Qt based advanced text editor. 
Supports syntax highlighting, matching-parenthesis highlighting, auto-indentation,
customizable text macro for many languages, such as C/C++, fortran, Makefile, HTML/XML, etc. 
Can be plugged with aspell to provide automatic spell-checking.

%prep
%setup -q

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{prefix} -DUSE_QT5=1 .
%make #-j4

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build
#icon
install -d -m 0755 %buildroot/%{_iconsdir}/hicolor/128x128/apps
mkdir -p %buildroot/%{_iconsdir}/hicolor/128x128/apps
cp $RPM_BUILD_DIR/%{name}-%{version}/%{name}.png  %buildroot/%{_iconsdir}/hicolor/128x128/apps/%{name}.png
#desktop starter
install -d -m 0755  %buildroot/%{_datadir}/applications
mkdir -p %buildroot/%{_datadir}/applications
cp $RPM_BUILD_DIR/%{name}-%{version}/%{name}.desktop %buildroot/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%changelog
* Mon Sep 26 2022 tex - 2.8.3-3pclos2022
- rebuild against updates

* Sun Sep 13 2020 tex - 2.8.3-2pclos2020
- rebuild against updates

* Sat Feb 02 2019 daniel <meisssw01 at gmail.com> 2.8.3-1pclos2019
- import
